declare const availableTilesSource: readonly [{
    readonly slug: "stamen-watercolor";
}, {
    readonly slug: "stamen-toner";
}, {
    readonly slug: "stamen-terrain";
}, {
    readonly slug: "osm";
}, {
    readonly slug: "carto-light_all";
}, {
    readonly slug: "carto-dark_all";
}, {
    readonly slug: "carto-light_nolabels";
}, {
    readonly slug: "carto-light_only_labels";
}, {
    readonly slug: "carto-dark_nolabels";
}, {
    readonly slug: "carto-dark_only_labels";
}, {
    readonly slug: "carto-rastertiles/voyager";
}, {
    readonly slug: "carto-rastertiles/voyager_nolabels";
}, {
    readonly slug: "carto-rastertiles/voyager_only_labels";
}, {
    readonly slug: "carto-rastertiles/voyager_labels_under";
}];

type Provider = "mapbox";
type TileSource = typeof availableTilesSource[number]["slug"];
type SourceProvider = {
    source: TileSource;
    provider?: Provider;
    variant?: string;
    access_token?: string;
};
type Source = SourceProvider | TileSource;
type Camera = {
    x: number | string;
    y: number | string;
    z: number | string;
};

declare function getRasterTile(source: Source, camera: Camera): string | null | undefined;

export { Camera, Source, availableTilesSource, getRasterTile };
