"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  availableTilesSource: () => availableTilesSource,
  getRasterTile: () => getRasterTile
});
module.exports = __toCommonJS(src_exports);

// src/lib/source.ts
var tilesSourceTemplates = {
  "stamen-watercolor": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/watercolor/${z}/${x}/${y}.jpg`,
  "stamen-toner": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/toner/${z}/${x}/${y}.png`,
  "stamen-terrain": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/terrain/${z}/${x}/${y}.jpg`,
  osm: (x, y, z) => `https://tile.openstreetmap.org/${x}/${y}/${z}.png`,
  "carto-light_all": (x, y, z) => `https://a.basemaps.cartocdn.com/light_all/${z}/${x}/${y}.png`,
  "carto-dark_all": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_all/${z}/${x}/${y}.png`,
  "carto-light_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/light_nolabels/${z}/${x}/${y}.png`,
  "carto-light_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/light_only_labels/${z}/${x}/${y}.png`,
  "carto-dark_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_nolabels/${z}/${x}/${y}.png`,
  "carto-dark_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_only_labels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_nolabels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_only_labels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_labels_under": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_labels_under/${z}/${x}/${y}.png`
};
var getTilesFromTemplate = (source, camera = {
  x: 0,
  y: 0,
  z: 0
}) => {
  const { x, y, z } = camera;
  const tileSourceTemplate = tilesSourceTemplates[source];
  if (tileSourceTemplate) {
    return tileSourceTemplate(String(x), String(y), String(z));
  }
  return null;
};

// src/constants.ts
var availableTilesSource = [
  {
    slug: "stamen-watercolor"
  },
  {
    slug: "stamen-toner"
  },
  {
    slug: "stamen-terrain"
  },
  {
    slug: "osm"
  },
  {
    slug: "carto-light_all"
  },
  {
    slug: "carto-dark_all"
  },
  {
    slug: "carto-light_nolabels"
  },
  {
    slug: "carto-light_only_labels"
  },
  {
    slug: "carto-dark_nolabels"
  },
  {
    slug: "carto-dark_only_labels"
  },
  {
    slug: "carto-rastertiles/voyager"
  },
  {
    slug: "carto-rastertiles/voyager_nolabels"
  },
  {
    slug: "carto-rastertiles/voyager_only_labels"
  },
  {
    slug: "carto-rastertiles/voyager_labels_under"
  }
];

// src/index.ts
function getRasterTile(source, camera) {
  if (typeof source === "string") {
    return getTilesFromTemplate(source, camera);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  availableTilesSource,
  getRasterTile
});
