// src/lib/source.ts
var tilesSourceTemplates = {
  "stamen-watercolor": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/watercolor/${z}/${x}/${y}.jpg`,
  "stamen-toner": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/toner/${z}/${x}/${y}.png`,
  "stamen-terrain": (x, y, z) => `https://stamen-tiles.a.ssl.fastly.net/terrain/${z}/${x}/${y}.jpg`,
  osm: (x, y, z) => `https://tile.openstreetmap.org/${x}/${y}/${z}.png`,
  "carto-light_all": (x, y, z) => `https://a.basemaps.cartocdn.com/light_all/${z}/${x}/${y}.png`,
  "carto-dark_all": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_all/${z}/${x}/${y}.png`,
  "carto-light_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/light_nolabels/${z}/${x}/${y}.png`,
  "carto-light_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/light_only_labels/${z}/${x}/${y}.png`,
  "carto-dark_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_nolabels/${z}/${x}/${y}.png`,
  "carto-dark_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/dark_only_labels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_nolabels": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_nolabels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_only_labels": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_only_labels/${z}/${x}/${y}.png`,
  "carto-rastertiles/voyager_labels_under": (x, y, z) => `https://a.basemaps.cartocdn.com/rastertiles/voyager_labels_under/${z}/${x}/${y}.png`
};
var getTilesFromTemplate = (source, camera = {
  x: 0,
  y: 0,
  z: 0
}) => {
  const { x, y, z } = camera;
  const tileSourceTemplate = tilesSourceTemplates[source];
  if (tileSourceTemplate) {
    return tileSourceTemplate(String(x), String(y), String(z));
  }
  return null;
};

// src/constants.ts
var availableTilesSource = [
  {
    slug: "stamen-watercolor"
  },
  {
    slug: "stamen-toner"
  },
  {
    slug: "stamen-terrain"
  },
  {
    slug: "osm"
  },
  {
    slug: "carto-light_all"
  },
  {
    slug: "carto-dark_all"
  },
  {
    slug: "carto-light_nolabels"
  },
  {
    slug: "carto-light_only_labels"
  },
  {
    slug: "carto-dark_nolabels"
  },
  {
    slug: "carto-dark_only_labels"
  },
  {
    slug: "carto-rastertiles/voyager"
  },
  {
    slug: "carto-rastertiles/voyager_nolabels"
  },
  {
    slug: "carto-rastertiles/voyager_only_labels"
  },
  {
    slug: "carto-rastertiles/voyager_labels_under"
  }
];

// src/index.ts
function getRasterTile(source, camera) {
  if (typeof source === "string") {
    return getTilesFromTemplate(source, camera);
  }
}
export {
  availableTilesSource,
  getRasterTile
};
